! --------------------------------------------------- get_index_for_character
!      subroutine get_index_for_character(string_in, nc_string_in, 
!     :                                   char_in, 
!     :                                   find_last_occurrence, index_c)

! Find the index corresponding to a single specified character
! A typical use is in finding the "\" in a filename, in case want to strip
! off the path and use only the file name.
 
!*** USE INTRINSIC FUNCTION SCAN INSTEAD

! Dates: 03/20/11 - Written by D. Boore, modeled after Get_Path_From_File_Name
 
!      character string_in*(*), uc_string_in*nc_string_in,
!     :          char_in*1, uc_char*1
!      
!      logical find_last_occurrence
!      
!      
!      
!      uc_char = char_in
!      call upstr(uc_char)
!      
!      uc_string_in = string_in(nc_string_in)
!      call upstr(uc_string_in)
!      
!      index_c = index(uc_string_in(1:nc_string_in),uc_char) 
!      if (index_c .eq. 0) then  ! no occurrence
!        return
!      else if (.not. find_last_occurrence)
!        return
!      else
!! Find last occurrence of character:
!        do i = nc_string_in, 1, -1
!          if (uc_string_in(i:i) == uc_char) then
!            index_c = i
!            return
!          end if
!        end do
!      end if
!
!                
!      write(*,'(a)') '  Oops!  Expected char_in '//char_in//
!     : ' in '//string_in(:nc_string_in)//
!     : ' but none found'
!
!      return
!      end
!* --------------------------------------------------- get_index_for_character
