
! ---------------------------------------------------------------- Tabs_Expand
        subroutine Tabs_Expand(buf_in, nc_buf_in, nspaces, 
     :                         buf_out, nc_buf_out)

! Expands tabs

! Dates: 10/28/02 - Written by D. Boore
!        12/04/02 - Added variable nspaces
!        05/01/15 - Replaced comment characters * or C with ! (The Fortran 95 standard)

      character buf_in*(*), buf_out*(*)

      buf_out = ' '

      n_char = 0
      n_col = 1
      do i = 1, nc_buf_in
        if(ichar(buf_in(i:i)) .eq. 13 .or. 
     :     ichar(buf_in(i:i)) .eq. 10) then ! eol 
          call trim_c(buf_out, nc_buf_out)
          return
        else if (ichar(buf_in(i:i)) .eq. 9) then  ! a tab
          n_char = 0
          n_col = n_col + nspaces
!          n_col = n_col + 8
        else                                   ! not a tab, but place characters
                                               ! at tabbed location
          n_char = n_char + 1
          buf_out(n_col - 1 + n_char:n_col - 1 + n_char) = buf_in(i:i)
        end if
      end do 

      end
! ---------------------------------------------------------------- Tabs_Expand

